Package io.dapr.v1

# Class DaprProtos.StartWorkflowRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>
io.dapr.v1.DaprProtos.StartWorkflowRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.StartWorkflowRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.StartWorkflowRequest

public static final class DaprProtos.StartWorkflowRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder> implements DaprProtos.StartWorkflowRequestOrBuilder

     StartWorkflowRequest is the request for StartWorkflowBeta1.

Protobuf type `dapr.proto.runtime.v1.StartWorkflowRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.StartWorkflowRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.StartWorkflowRequest`
`build()`
`DaprProtos.StartWorkflowRequest`
`buildPartial()`
`DaprProtos.StartWorkflowRequest.Builder`
`clear()`
`DaprProtos.StartWorkflowRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.StartWorkflowRequest.Builder`
`clearInput()`
Input data for the workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`clearInstanceId()`
The ID to assign to the started workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.StartWorkflowRequest.Builder`
`clearOptions()`
`DaprProtos.StartWorkflowRequest.Builder`
`clearWorkflowComponent()`
Name of the workflow component.
`DaprProtos.StartWorkflowRequest.Builder`
`clearWorkflowName()`
Name of the workflow.
`DaprProtos.StartWorkflowRequest.Builder`
`clone()`
`boolean`
`containsOptions(String key)`
Additional component-specific options for starting the workflow instance.
`DaprProtos.StartWorkflowRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`com.google.protobuf.ByteString`
`getInput()`
Input data for the workflow instance.
`String`
`getInstanceId()`
The ID to assign to the started workflow instance.
`com.google.protobuf.ByteString`
`getInstanceIdBytes()`
The ID to assign to the started workflow instance.
`Map<String,String>`
`getMutableOptions()`
Deprecated.
`Map<String,String>`
`getOptions()`
Deprecated.
`int`
`getOptionsCount()`
Additional component-specific options for starting the workflow instance.
`Map<String,String>`
`getOptionsMap()`
Additional component-specific options for starting the workflow instance.
`String`
`getOptionsOrDefault(String key, String defaultValue)`
Additional component-specific options for starting the workflow instance.
`String`
`getOptionsOrThrow(String key)`
Additional component-specific options for starting the workflow instance.
`String`
`getWorkflowComponent()`
Name of the workflow component.
`com.google.protobuf.ByteString`
`getWorkflowComponentBytes()`
Name of the workflow component.
`String`
`getWorkflowName()`
Name of the workflow.
`com.google.protobuf.ByteString`
`getWorkflowNameBytes()`
Name of the workflow.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMutableMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`DaprProtos.StartWorkflowRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.StartWorkflowRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.StartWorkflowRequest.Builder`
`mergeFrom(DaprProtos.StartWorkflowRequest other)`
`final DaprProtos.StartWorkflowRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.StartWorkflowRequest.Builder`
`putAllOptions(Map<String,String> values)`
Additional component-specific options for starting the workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`putOptions(String key, String value)`
Additional component-specific options for starting the workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`removeOptions(String key)`
Additional component-specific options for starting the workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.StartWorkflowRequest.Builder`
`setInput(com.google.protobuf.ByteString value)`
Input data for the workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`setInstanceId(String value)`
The ID to assign to the started workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`setInstanceIdBytes(com.google.protobuf.ByteString value)`
The ID to assign to the started workflow instance.
`DaprProtos.StartWorkflowRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.StartWorkflowRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.StartWorkflowRequest.Builder`
`setWorkflowComponent(String value)`
Name of the workflow component.
`DaprProtos.StartWorkflowRequest.Builder`
`setWorkflowComponentBytes(com.google.protobuf.ByteString value)`
Name of the workflow component.
`DaprProtos.StartWorkflowRequest.Builder`
`setWorkflowName(String value)`
Name of the workflow.
`DaprProtos.StartWorkflowRequest.Builder`
`setWorkflowNameBytes(com.google.protobuf.ByteString value)`
Name of the workflow.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### internalGetMutableMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)

Overrides:
  `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### clear

public DaprProtos.StartWorkflowRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.StartWorkflowRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.StartWorkflowRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.StartWorkflowRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.StartWorkflowRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### setField

public DaprProtos.StartWorkflowRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### clearField

public DaprProtos.StartWorkflowRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### clearOneof

public DaprProtos.StartWorkflowRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### setRepeatedField

public DaprProtos.StartWorkflowRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### addRepeatedField

public DaprProtos.StartWorkflowRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### mergeFrom

public DaprProtos.StartWorkflowRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### mergeFrom

public DaprProtos.StartWorkflowRequest.Builder mergeFrom(DaprProtos.StartWorkflowRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### mergeFrom

public DaprProtos.StartWorkflowRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.StartWorkflowRequest.Builder>`
Throws:
  `IOException`

### getInstanceId

public String getInstanceId()

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceId` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The instanceId.

### getInstanceIdBytes

public com.google.protobuf.ByteString getInstanceIdBytes()

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceIdBytes` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The bytes for instanceId.

### setInstanceId

public DaprProtos.StartWorkflowRequest.Builder setInstanceId(String value)

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The instanceId to set.
Returns:
  This builder for chaining.

### clearInstanceId

public DaprProtos.StartWorkflowRequest.Builder clearInstanceId()

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  This builder for chaining.

### setInstanceIdBytes

public DaprProtos.StartWorkflowRequest.Builder setInstanceIdBytes(com.google.protobuf.ByteString value)

     The ID to assign to the started workflow instance. If empty, a random ID is generated.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The bytes for instanceId to set.
Returns:
  This builder for chaining.

### getWorkflowComponent

public String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponent` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The workflowComponent.

### getWorkflowComponentBytes

public com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Specified by:
  `getWorkflowComponentBytes` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The bytes for workflowComponent.

### setWorkflowComponent

public DaprProtos.StartWorkflowRequest.Builder setWorkflowComponent(String value)

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Parameters:
  `value` - The workflowComponent to set.
Returns:
  This builder for chaining.

### clearWorkflowComponent

public DaprProtos.StartWorkflowRequest.Builder clearWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  This builder for chaining.

### setWorkflowComponentBytes

public DaprProtos.StartWorkflowRequest.Builder setWorkflowComponentBytes(com.google.protobuf.ByteString value)

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Parameters:
  `value` - The bytes for workflowComponent to set.
Returns:
  This builder for chaining.

### getWorkflowName

public String getWorkflowName()

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Specified by:
  `getWorkflowName` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The workflowName.

### getWorkflowNameBytes

public com.google.protobuf.ByteString getWorkflowNameBytes()

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Specified by:
  `getWorkflowNameBytes` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The bytes for workflowName.

### setWorkflowName

public DaprProtos.StartWorkflowRequest.Builder setWorkflowName(String value)

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Parameters:
  `value` - The workflowName to set.
Returns:
  This builder for chaining.

### clearWorkflowName

public DaprProtos.StartWorkflowRequest.Builder clearWorkflowName()

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Returns:
  This builder for chaining.

### setWorkflowNameBytes

public DaprProtos.StartWorkflowRequest.Builder setWorkflowNameBytes(com.google.protobuf.ByteString value)

     Name of the workflow.

`string workflow_name = 3 [json_name = "workflowName"];`

Parameters:
  `value` - The bytes for workflowName to set.
Returns:
  This builder for chaining.

### getOptionsCount

public int getOptionsCount()
Description copied from interface: `DaprProtos.StartWorkflowRequestOrBuilder`

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsCount` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

### containsOptions

public boolean containsOptions(String key)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `containsOptions` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

### getOptions

@Deprecated public Map<String,String> getOptions()
Deprecated.
Use `getOptionsMap()` instead.

Specified by:
  `getOptions` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

### getOptionsMap

public Map<String,String> getOptionsMap()

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsMap` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

### getOptionsOrDefault

public String getOptionsOrDefault(String key, String defaultValue)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsOrDefault` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

### getOptionsOrThrow

public String getOptionsOrThrow(String key)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

Specified by:
  `getOptionsOrThrow` in interface `DaprProtos.StartWorkflowRequestOrBuilder`

### clearOptions

public DaprProtos.StartWorkflowRequest.Builder clearOptions()

### removeOptions

public DaprProtos.StartWorkflowRequest.Builder removeOptions(String key)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

### getMutableOptions

@Deprecated public Map<String,String> getMutableOptions()
Deprecated.
Use alternate mutation accessors instead.

### putOptions

public DaprProtos.StartWorkflowRequest.Builder putOptions(String key, String value)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

### putAllOptions

public DaprProtos.StartWorkflowRequest.Builder putAllOptions(Map<String,String> values)

     Additional component-specific options for starting the workflow instance.

`map<string, string> options = 4;`

### getInput

public com.google.protobuf.ByteString getInput()

     Input data for the workflow instance.

`bytes input = 5;`

Specified by:
  `getInput` in interface `DaprProtos.StartWorkflowRequestOrBuilder`
Returns:
  The input.

### setInput

public DaprProtos.StartWorkflowRequest.Builder setInput(com.google.protobuf.ByteString value)

     Input data for the workflow instance.

`bytes input = 5;`

Parameters:
  `value` - The input to set.
Returns:
  This builder for chaining.

### clearInput

public DaprProtos.StartWorkflowRequest.Builder clearInput()

     Input data for the workflow instance.

`bytes input = 5;`

Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.StartWorkflowRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.StartWorkflowRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.StartWorkflowRequest.Builder>`